import dotenv from "dotenv";

dotenv.config();

const common = {
  SECRET: "e1569743aa91c36993cd6a679115e601b3e7423515c29bee6eec33ad5aa04448d1",
};

const dev = {
  MONGODB_URI: process.env.MONGO_URL,
};

const prod = {
  MONGODB_URI: process.env.MONGO_URL,
};

const config = {
  ...common,
  ...(process.env.NODE_ENV === "prod" ? prod : dev),
};

console.log("NODE_ENV: ", process.env.NODE_ENV);

export default config;
